// cpp_portée.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

int v_globale;		// variable globale

namespace Formes
{
	double aire;	// portée d'un espace de nom
}

class Cube
{
	float arrete;	// portée d'une classe (champ)
} ;

int i;
void compter()
{
	int i;			// variable locale
	i=2;			// affecte la variable locale
	::i=8;			// variable globale affectée
}


enum Jour { lundi, mardi, mercredi, jeudi, vendredi, samedi, dimanche } ;
Jour rendez_vous;

int _tmain(int argc, _TCHAR* argv[])
{
	int x;
	scanf("%d",&x);	// lire la valeur de x

	switch(x)
	{
	case 1:
	case 2:
		printf("x vaut 1 ou 2");
		break;
	case 3:
		printf("x vaut 3);
		break;
	case 10:
		printf("x vaut 10");
		break;
	default:
		printf("x est différent de 1,2 et 10");
		break;
	}
	return 0;
}

